> ## Documentation Index
> Fetch the complete documentation index at: https://docs.mixpanel.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Annotation Tag

> Creates a new tag using the provided name. Requires a role of at least Analyst



## OpenAPI

````yaml openapi/annotations.openapi.yaml POST /projects/{projectId}/annotations/tags
openapi: 3.0.2
info:
  title: Annotations API
  description: >-
    Use annotations to label specific points in time in your charts with a
    description.
  contact:
    url: https://mixpanel.com/get-support
  license:
    name: MIT
    url: https://opensource.org/licenses/MIT
  version: 1.0.0
servers:
  - url: https://{regionAndDomain}.com/api/app
    description: Mixpanel's application API server.
    variables:
      regionAndDomain:
        default: mixpanel
        enum:
          - mixpanel
          - eu.mixpanel
          - in.mixpanel
        description: |
          The server location to be used:
            * `mixpanel` - The default (US) servers used for most projects
            * `eu.mixpanel` - EU servers if you are enrolled in EU Data Residency
            * `in.mixpanel` - India servers if you are enrolled in India Data Residency
security:
  - ServiceAccount: []
tags:
  - name: Create Annotation
    description: Create an annotation for a project
  - name: Delete Annotation
    description: Delete annotation for a project
  - name: Retrieve Annotations
    description: List all annotations for the project
  - name: Update Annotation
    description: Change an existing annotations
paths:
  /projects/{projectId}/annotations/tags:
    parameters:
      - in: path
        name: projectId
        schema:
          type: integer
        required: true
        description: 'Your project id (eg: 12345)'
    post:
      tags:
        - Create Annotation tag
      summary: Create Annotation Tag
      description: >-
        Creates a new tag using the provided name. Requires a role of at least
        Analyst
      operationId: create-annotation-tag
      requestBody:
        required: true
        content:
          application/json:
            schema:
              properties:
                name:
                  $ref: '#/components/schemas/TagName'
      responses:
        '200':
          description: Success
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/AnnotationTag'
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                    description: Details about the error that occurred
                  status:
                    type: string
                    enum:
                      - error
        '403':
          description: Forbidden
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                    description: Details about the error that occurred
                  status:
                    type: string
                    enum:
                      - error
components:
  schemas:
    TagName:
      type: string
      description: The text that will be shown when the tag is added to an annotation
    AnnotationTag:
      title: AnnotationTag
      description: An annotation tag
      type: object
      properties:
        id:
          type: number
        name:
          type: string
        project_id:
          type: number
        has_annotations:
          type: boolean
          description: whether the tag is currently attached to any annotations
  securitySchemes:
    ServiceAccount:
      type: http
      scheme: basic
      description: Service Account

````